<?php
defined('HOSTCMS') || exit('HostCMS: access denied.');

class Skynetcore_History_Model extends Core_Entity
{
	/**
	 * Disable markDeleted()
	 * @var mixed
	 */
	protected $_marksDeleted = NULL;

	public function save()
	{
		$instance = Core_Page::instance();
		if(is_null($this->id)) {
			$this->date = Core_Date::timestamp2sql(time());
		}
		if($instance->skynet->user !== false
			&& isset($instance->skynet->user->id)
			&& $instance->skynet->user->id > 0
		) {
			$this->user_id = $instance->skynet->user->id;
		}
		if($instance->skynet->siteuser !== false
			&& isset($instance->skynet->siteuser->id)
			&& $instance->skynet->siteuser->id > 0
		) {
			$this->siteuser_id = $instance->skynet->siteuser->id;
		}

		return parent::save(); // TODO: Change the autogenerated stub
	}
}